<?php
use WpBookingHotel\Factory as FactoryAlias;
use WpBookingHotel\Html\WpBookingHotelHtmlFrontend as WpBookingHotelHtmlFrontendAlias;
use WpBookingHotelBlock\block_search_hotel\block_search_hotel_helper;
use WpBookingHotelFrontend\app\helpers\ConfigHelper as ConfigHelperAlias;
$doc= FactoryAlias::getDocument();
WpBookingHotelHtmlFrontendAlias::load_jquery_library('fontawesome');
WpBookingHotelHtmlFrontendAlias::load_jquery_library('select2');
WpBookingHotelHtmlFrontendAlias::load_jquery_library('moment');
WpBookingHotelHtmlFrontendAlias::load_jquery_library('daterangepicker');
WpBookingHotelHtmlFrontendAlias::load_jquery_library('ui');
WpBookingHotelHtmlFrontendAlias::load_jquery_library('icheck');


$form_search_block = block_search_hotel_helper::getFormSearchBlock();

$layout = $this->item->params->get('layout', 'default');
$plugin_name=WPBOOKINGHOTEL_PLUGIN_NAME;
$template_path=get_template_directory();
$block_name= basename(__DIR__);
$layout_name="tmpl/$layout.php";
$template1_path="$template_path/$plugin_name/blocks/$block_name/$layout_name";
$template2_path= __DIR__ . "/tmpl/$layout.php";
if(file_exists($template1_path)){
    require $template1_path;
}else{
    require $template2_path;
}

?>